0

I was logging into the magento admin panel, and when I log in this sudden error appears.

There has been an error processing your request

timezone (Etc/UTC) is not a known timezone

Trace:
#0 /home/signklri/public_html/app/code/core/Mage/Reports/Model/Resource/Order/Collection.php(373): Zend_Date_DateObject->setTimezone('Etc/UTC')
#1 /home/signklri/public_html/app/code/core/Mage/Reports/Model/Resource/Order/Collection.php(809): Mage_Reports_Model_Resource_Order_Collection->getDateRange('24h', 0, 0, true)
#2 /home/signklri/public_html/app/code/core/Mage/Adminhtml/Block/Dashboard/Totals.php(53): Mage_Reports_Model_Resource_Order_Collection->addCreateAtPeriodFilter('24h')
#3 /home/signklri/public_html/app/code/core/Mage/Core/Block/Abstract.php(293): Mage_Adminhtml_Block_Dashboard_Totals->_prepareLayout()
#4 /home/signklri/public_html/app/code/core/Mage/Core/Model/Layout.php(456): Mage_Core_Block_Abstract->setLayout(Object(Mage_Core_Model_Layout))
#5 /home/signklri/public_html/app/code/core/Mage/Adminhtml/Block/Dashboard.php(50): Mage_Core_Model_Layout->createBlock('adminhtml/dashb...')
#6 /home/signklri/public_html/app/code/core/Mage/Core/Block/Abstract.php(293): Mage_Adminhtml_Block_Dashboard->_prepareLayout()
#7 /home/signklri/public_html/app/code/core/Mage/Core/Model/Layout.php(456): Mage_Core_Block_Abstract->setLayout(Object(Mage_Core_Model_Layout))
#8 /home/signklri/public_html/app/code/core/Mage/Core/Model/Layout.php(472): Mage_Core_Model_Layout->createBlock('adminhtml/dashb...', 'dashboard')
#9 /home/signklri/public_html/app/code/core/Mage/Core/Model/Layout.php(239): Mage_Core_Model_Layout->addBlock('adminhtml/dashb...', 'dashboard')
#10 /home/signklri/public_html/app/code/core/Mage/Core/Model/Layout.php(205): Mage_Core_Model_Layout->_generateBlock(Object(Mage_Core_Model_Layout_Element), Object(Mage_Core_Model_Layout_Element))
#11 /home/signklri/public_html/app/code/core/Mage/Core/Model/Layout.php(210): Mage_Core_Model_Layout->generateBlocks(Object(Mage_Core_Model_Layout_Element))
#12 /home/signklri/public_html/app/code/core/Mage/Core/Controller/Varien/Action.php(344): Mage_Core_Model_Layout->generateBlocks()
#13 /home/signklri/public_html/app/code/core/Mage/Core/Controller/Varien/Action.php(269): Mage_Core_Controller_Varien_Action->generateLayoutBlocks()
#14 /home/signklri/public_html/app/code/core/Mage/Adminhtml/Controller/Action.php(275): Mage_Core_Controller_Varien_Action->loadLayout(NULL, true, true)
#15 /home/signklri/public_html/app/code/core/Mage/Adminhtml/controllers/DashboardController.php(40): Mage_Adminhtml_Controller_Action->loadLayout()
#16 /home/signklri/public_html/app/code/core/Mage/Core/Controller/Varien/Action.php(418): Mage_Adminhtml_DashboardController->indexAction()
#17 /home/signklri/public_html/app/code/core/Mage/Core/Controller/Varien/Router/Standard.php(254): Mage_Core_Controller_Varien_Action->dispatch('index')
#18 /home/signklri/public_html/app/code/core/Mage/Core/Controller/Varien/Front.php(172): Mage_Core_Controller_Varien_Router_Standard->match(Object(Mage_Core_Controller_Request_Http))
#19 /home/signklri/public_html/app/code/core/Mage/Core/Model/App.php(365): Mage_Core_Controller_Varien_Front->dispatch()
#20 /home/signklri/public_html/app/Mage.php(684): Mage_Core_Model_App->run(Array)
#21 /home/signklri/public_html/index.php(83): Mage::run('', 'store')
#22 {main}

The only way I was able to fix this was to change Etc/UTC to UTC. Can someone explain why this error suddenly appeared, and if my fix around it will have any issues.

Edit: Courtesy to simonthesorcerer upgrading the PHP to 5.4 has fixed the issue as well! I would recommend doing that instead. Make sure you rename the php.ini file in the public_html directory to php5.ini, well in my case I had to.

1
  • which php version are you running? Can you upgrade to PHP 5.4? – simonthesorcerer Aug 13 '15 at 20:02
1

According to http://php.net/manual/en/timezones.others.php you should not use Etc/UTC as a timezone and UTC should be used so your fix to the source was correct.

I've also had this error running PHP 5.4.44 so just upgrading to PHP 5.4 may not be the right fix.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.